//
//  MembershipListWireframe.swift
//  SuperSpaManagement
//
//  Created by PHAM ANH TUAN on 3/21/21.
//  Copyright (c) 2021 ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the 🐍 VIPER generator
//

import UIKit

final class MembershipListWireframe: BaseWireframe {

    // MARK: - Private properties -

    private let storyboard = UIStoryboard(name: "MembershipList", bundle: nil)

    // MARK: - Module setup -

    init() {
        let moduleViewController = storyboard.instantiateViewController(ofType: MembershipListViewController.self)
        super.init(viewController: moduleViewController)

        let interactor = MembershipListInteractor()
        let presenter = MembershipListPresenter(view: moduleViewController, interactor: interactor, wireframe: self)
        moduleViewController.presenter = presenter
    }

}

// MARK: - Extensions -

extension MembershipListWireframe: MembershipListWireframeInterface {
    func navigate(to option: MembershipListNavigationOption) {
        switch option {
        case let .membershipEditting(style):
            let wireframe = MembershipEditingWireframe(style: style)
            navigationController?.pushWireframe(wireframe)
            
        case let .membershipProfile(membership):
            let wireframe = ProfileWireframe(membership: membership)
            navigationController?.pushWireframe(wireframe)
        }
    }
}
